This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 999751 - Need firmware update for rt2800usb
Need firmware update for rt2800usb
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: fedora-kernel-wireless-ralink
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 23:39 EDT by pgaltieri
Modified: 2015-03-25 08:28 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-25 08:28:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of dmesg | grep rt2 (181.83 KB, text/plain)
2013-08-21 23:39 EDT, pgaltieri
no flags Details
Output of lsusb (791 bytes, text/plain)
2013-08-21 23:39 EDT, pgaltieri
no flags Details

  None (edit)
Description pgaltieri 2013-08-21 23:39:24 EDT
Created attachment 789033 [details]
Output of dmesg | grep rt2

Description of problem:
I have a USB wireless device connected to my F19 system.  When I initially boot the system the wireless works just fine to connect to the internet.  After about 20 minutes the wireless fails with the following error:

ieee80211 phy0: rt2800usb_tx_sta_fifo_read_completed: Warning - TX status read failed -71

Version-Release number of selected component (if applicable):
3.10.7-200.fc19.x86_64

How reproducible:
Happens every time since I installed the latest set of updates

Steps to Reproduce:
1. Attach Linksys AE1000 v1 802.11n [Ralink RT3572] device
2. Boot system
3. Wait

Actual results:
After some time can no longer connect to wireless access point.

Expected results:
Wireless should just work.

Additional info:
The only way to recover is to power cycle the system.  It is impossible to disconnect the wireless device.  Doing a restart results in system hanging.
Comment 1 pgaltieri 2013-08-21 23:39:57 EDT
Created attachment 789034 [details]
Output of lsusb
Comment 2 pgaltieri 2013-08-22 12:02:00 EDT
A workaround to this problem is to pull the usb cable out and put it back in.  The will cause the wireless connection to re-establish itself, but the failure will re-occur within a few minutes.
Comment 3 Stanislaw Gruszka 2013-08-23 07:37:55 EDT
-71 is "Protocol error", seems to be USB problem.

> A workaround to this problem is to pull the usb cable out and put it back in
Do you have wifi device connected though some USB cable ?
Comment 4 pgaltieri 2013-08-23 12:06:01 EDT
If you look at the problem description that is what I said.

"I have a USB wireless device connected to my F19 system"
Comment 5 Josh Boyer 2013-09-18 16:43:36 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 6 Josh Boyer 2013-10-08 12:12:21 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 7 pgaltieri 2013-10-08 21:01:28 EDT
How do I re-open this bug?

I tried the wireless connection again and it hasn't failed yet, however in a period of about 5 minutes I have seen over 50000 of the following type of message:

Oct  8 17:58:49 jackstraw kernel: [158416.448516] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 5 in queue 2

The only difference between the messages is the entry number.
Comment 8 pgaltieri 2013-10-08 21:09:47 EDT
Forgot to add I'm running kernel 3.11.3-201.fc19.x86_64

The count is now over 120000 messages and the queue number has also changed, so far I seen the messages for both queues 0 and 2.
Comment 9 pgaltieri 2013-10-08 21:18:32 EDT
It finally crashed with the following error:

Oct  8 18:10:58 jackstraw kernel: [159144.936075] ieee80211 phy0: rt2800usb_tx_sta_fifo_read_completed: Warning - TX status read failed -71

This message was displayed over 10000 times before I pulled the USB cable out.

This is occurs running on the latest kernel.
Comment 10 Stanislaw Gruszka 2013-10-17 06:11:40 EDT
Does the below kernel helps with the problem:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6064542
Comment 11 pgaltieri 2013-10-23 20:54:26 EDT
I'm running 3.11.6-200.fc19.x86_64 and this problem still exists.
Comment 12 pgaltieri 2013-11-25 16:46:44 EST
Any updates to this bug?

The problem still occurs on 3.11.9-200.fc19.x86_64
Comment 13 Justin M. Forbes 2014-01-03 17:04:49 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 14 Michele Baldessari 2014-01-04 07:35:03 EST
Hi pgaltieri,

please try at least 3.12.5 which has the following fix:
commit 3cc3e73bfa6c0ed687ec72bb2fde011806fbc1c1
Author: Stanislaw Gruszka <sgruszka@redhat.com>
Date:   Fri Oct 18 11:36:54 2013 +0200

    rt2800usb: slow down TX status polling
    
    commit 36165fd5b00bf8163f89c21bb16a3e9834555b10 upstream.
    
    Polling TX statuses too frequently has two negative effects. First is
    randomly peek CPU usage, causing overall system functioning delays.
    Second bad effect is that device is not able to fill TX statuses in
    H/W register on some workloads and we get lot of timeouts like below:
    
    ieee80211 phy4: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 7 in queue 2
    ieee80211 phy4: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 7 in queue 2
    ieee80211 phy4: rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping
    
    This not only cause flood of messages in dmesg, but also bad throughput,
    since rate scaling algorithm can not work optimally.
    

Thanks,
Michele
Comment 15 pgaltieri 2014-01-14 14:22:46 EST
I just tried with kernel 3.12.7-200.fc19.x86_64 and I still see lots of these messages:

Jan 14 10:44:24 jackstraw kernel: [ 2858.702044] ieee80211 phy0: rt2800usb_tx_sta_fifo_read_completed: Warning - TX status read failed -71

Paolo
Comment 16 pgaltieri 2014-02-20 15:29:36 EST
Still fails with 3.12.11-201.fc19.x86_64.  Is anybody actually working on this?  It's been over a month since my last post, and there is no progress.
Comment 17 Stanislaw Gruszka 2014-02-21 03:17:34 EST
(In reply to pgaltieri from comment #4)
> If you look at the problem description that is what I said.
> 
> "I have a USB wireless device connected to my F19 system"

-71 is protocol error this can be a USB device hardware or firmware problem or USB host controller H/W or F/W or driver problem.

If you have additional cable between USB dongle and USB host port remove it and check if that will help. You can also try to update firmware of ralink device.
You can download it from:
http://rt2x00.serialmonkey.com/pipermail/users_rt2x00.serialmonkey.com/2013-January/005610.html
and replace file in /lib/firmware/

> Happens every time since I installed the latest set of updates
The issue did not happen before ? If so, what was the latest kernel, which works and the first that you know, which was broken?
Comment 18 pgaltieri 2014-02-22 13:41:52 EST
I don't remember the kernel on which it worked, but it has not worked on any 3.x kernel.  The device is plugged into a USB port on the host with no additional cable.

I have been running now for 24 hours using the suggested firmware and have not seen any failures.  In the past it would fail within a couple of hours. It appears the latest firmware fixes the issue.
Comment 19 pgaltieri 2014-02-24 23:05:22 EST
I no longer see the -71 errors, but I am still seeing these errors occasionally:

Feb 24 20:00:28 jackstraw kernel: [296289.693390] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 13 in queue 0
Feb 24 20:00:28 jackstraw kernel: [296289.693416] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 13 in queue 0
Feb 24 20:00:28 jackstraw kernel: [296289.693420] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 13 in queue 0
Feb 24 20:00:28 jackstraw kernel: [296289.710519] ieee80211 phy0: rt2800usb_txdone: Warning - Got TX status for an empty queue 0, dropping
Feb 24 20:00:28 jackstraw kernel: [296290.003140] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 2
Feb 24 20:00:28 jackstraw kernel: [296290.003158] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 2
Feb 24 20:00:28 jackstraw kernel: [296290.003162] ieee80211 phy0: rt2800usb_entry_txstatus_timeout: Warning - TX status timeout for entry 9 in queue 2
Feb 24 20:00:28 jackstraw kernel: [296290.194274] ieee80211 phy0: rt2800usb_txdone: Warning - Got TX status for an empty queue 2, dropping

The network still runs so it's not a big deal.
Comment 20 pgaltieri 2014-02-28 01:37:30 EST
Started seeing these errors

Feb 27 22:30:39 jackstraw kernel: [220623.937765] ieee80211 phy0: rt2x00lib_rxdone_read_signal: Warning - Frame received with unrecognized signal, mode=0x0000, signal=0x0001, type=4
Feb 27 22:30:39 jackstraw kernel: [220623.937779] ieee80211 phy0: rt2x00lib_rxdone_read_signal: Warning - Frame received with unrecognized signal, mode=0x0000, signal=0x0000, type=4
Feb 27 22:30:39 jackstraw kernel: [220623.937789] ieee80211 phy0: rt2x00lib_rxdone_read_signal: Warning - Frame received with unrecognized signal, mode=0x0000, signal=0x0000, type=4

as well as the timeout messages from previous post.  This time though the network dropped and reconnected several times.
Comment 21 Justin M. Forbes 2014-03-10 10:47:44 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 22 pgaltieri 2014-04-16 01:39:31 EDT
This problem has returned after the most recent set of updates.  I'm getting lots and lots of:

Apr 15 20:23:04 jackstraw kernel: [14100.704333] ieee80211 phy0: rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x101c with error -71
Apr 15 20:23:04 jackstraw kernel: [14101.129339] ieee80211 phy0: rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x101c with error -71
Apr 15 20:23:05 jackstraw kernel: [14101.554329] ieee80211 phy0: rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x101c with error -71
Apr 15 20:23:05 jackstraw kernel: [14101.979332] ieee80211 phy0: rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x101c with error -71

and lots and lots of:

Apr 15 21:22:25 jackstraw kernel: [17661.581344] ieee80211 phy0: rt2800usb_tx_sta_fifo_read_completed: Warning - TX status read failed -71
Apr 15 21:22:25 jackstraw kernel: [17661.589844] ieee80211 phy0: rt2800usb_tx_sta_fifo_read_completed: Warning - TX status read failed -71
Apr 15 21:22:25 jackstraw kernel: [17661.598345] ieee80211 phy0: rt2800usb_tx_sta_fifo_read_completed: Warning - TX status read failed -71
Apr 15 21:22:25 jackstraw kernel: [17661.606844] ieee80211 phy0: rt2800usb_tx_sta_fifo_read_completed: Warning - TX status read failed -71


Paolo
Comment 23 Stanislaw Gruszka 2014-04-16 06:21:38 EDT
Perhaps ralink firmware image was overwritten by kernel-firmware update ?
Comment 24 Jaroslav Reznik 2015-03-03 11:54:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Note You need to log in before you can comment on or make changes to this bug.